#pragma once

#include "CoreMinimal.h"
#include "BehaviourIncentiveDataBase.h"
#include "SurvivorExposerNumChangedInfo.h"
#include "BehaviourIncentiveData_InactivityExposer.generated.h"

USTRUCT(BlueprintType)
struct FBehaviourIncentiveData_InactivityExposer : public FBehaviourIncentiveDataBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 MaxNumExposers;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FSurvivorExposerNumChangedInfo SurvivorExposerNumChangedInfo;

public:
	DEADBYDAYLIGHT_API FBehaviourIncentiveData_InactivityExposer();
};

FORCEINLINE uint32 GetTypeHash(const FBehaviourIncentiveData_InactivityExposer) { return 0; }
